#ifndef LEADERREPLYPKG_H_DEF
#define LEADERREPLYPKG_H_DEF

#include "TelepatiPkg.h"

using namespace std;

/**implementa il messaggio di risposta al saluto del Leader.  Viene
   spedito dagli other una volta completata l'inizializzazione e una
   volta ricevuto il LeaderPkg.  Struttura: e' composto esclusivamente
   dall'header standard
*/

class LeaderReplyPkg : public TelepatiPkg{
 public:
  /** Costruttore ordinario. @param a aibo di destinazione. @param ack
      se richiede l'ack o meno*/
  LeaderReplyPkg(int a, bool ack);
  /**Costruisce l'oggetto a partire dall'array restituito da
     getMsg(). @param ptr puntatore all'array di byte. @see
     getMsg()*/
  LeaderReplyPkg(byte* ptr);

  /** Distruttore di Default.*/
  virtual ~LeaderReplyPkg();

  /** Clonatore. Restituisce un clone dell'oggetto su cui e'
      chiamato.*/
  virtual TelepatiPkg* clone();

  /** Ritorna un array che rappresenta l'oggetto. Costruisce un array
      che rappresenta l'oggetto, l'array corrisponde ai dati spediti
      via rete. @return array di byte. @see LeaderReplyPkg(byte* ptr)*/
  byte* getMsg();  
};

#endif
